import { ElementRef } from '@angular/core';
import type { OnDestroy, OnInit } from '@angular/core';
import { NgbPopover } from '@ng-bootstrap/ng-bootstrap';
import { TourAnchorDirective } from 'ngx-ui-tour-core';
import { NgbTourService } from './ng-bootstrap-tour.service';
import { INgbStepOption } from './step-option.interface';
import { TourStepTemplateService } from './tour-step-template.service';
import * as i0 from "@angular/core";
export declare class TourAnchorNgBootstrapPopoverDirective extends NgbPopover {
    static ɵfac: i0.ɵɵFactoryDeclaration<TourAnchorNgBootstrapPopoverDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TourAnchorNgBootstrapPopoverDirective, "[tourAnchor]", never, {}, {}, never, never, false>;
}
export declare class TourAnchorNgBootstrapDirective implements OnInit, OnDestroy, TourAnchorDirective {
    private tourService;
    private tourStepTemplate;
    element: ElementRef;
    private popoverDirective;
    tourAnchor: string;
    isActive: boolean;
    constructor(tourService: NgbTourService, tourStepTemplate: TourStepTemplateService, element: ElementRef, popoverDirective: TourAnchorNgBootstrapPopoverDirective);
    ngOnInit(): void;
    ngOnDestroy(): void;
    showTourStep(step: INgbStepOption): void;
    hideTourStep(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TourAnchorNgBootstrapDirective, [null, null, null, { host: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TourAnchorNgBootstrapDirective, "[tourAnchor]", never, { "tourAnchor": "tourAnchor"; }, {}, never, never, false>;
}
