import { TourHotkeyListenerComponent, IStepOption } from 'ngx-ui-tour-core';
import { TourStepTemplateService } from './tour-step-template.service';
import { TemplateRef, AfterContentInit } from '@angular/core';
import { NgbTourService } from './ng-bootstrap-tour.service';
import * as i0 from "@angular/core";
export declare class TourStepTemplateComponent extends TourHotkeyListenerComponent implements AfterContentInit {
    private tourStepTemplateService;
    tourService: NgbTourService;
    defaultTourStepTemplate: TemplateRef<any>;
    stepTemplate: TemplateRef<{
        step: IStepOption;
    }>;
    stepTemplateContent: TemplateRef<{
        step: IStepOption;
    }>;
    constructor(tourStepTemplateService: TourStepTemplateService, tourService: NgbTourService);
    ngAfterContentInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TourStepTemplateComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TourStepTemplateComponent, "tour-step-template", never, { "stepTemplate": "stepTemplate"; }, {}, ["stepTemplateContent"], never, false>;
}
